QGIS freezes when using Identify Features form containing embedded relation form when project 

was created using QGIS 2.2
Status: Closed

Priority: Severe/Regression

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19184

Description

Steps to reproduce (hopefully):

    1. Create project with two layers linked by relation in QGIS 2.2. Add relation to drag-and-drop form form parent layer, so embedded form

is created.

    2. Save project, install QGIS 2.5-master and open project in it

    3. Use Identify Features tool on any feature of parent layer

    4. See QGIS freeze (on Linux) or crash (on Windows 7). Also, following error is displayed in console: QLayout: Cannot add null

widget to QGridLayout

I also tried to save project in new version and open it again, but the problem persisted.

Please let me know, if you need more info.

History

#1 - 2014-07-07 09:24 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to Severe/Regression

#2 - 2014-08-30 01:38 AM - Jürgen Fischer

- Subject changed from QGIS frezes when using Identify Features form containing embedded relation form when project was created using QGIS 2.2 to 

QGIS freezes when using Identify Features form containing embedded relation form when project was created using QGIS 2.2

#3 - 2014-10-03 11:57 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- File qgis_e_le_relazioni.zip added

It seems to work fine on the latest qgis master, on both linux and windows (attached project saved in qgis 2.2). Please reopen if necessary.

Files

qgis_e_le_relazioni.zip 312 KB 2014-10-03 Giovanni Manghi
